1

Anyone have a walkthrough on installing Citrix receiver on Xubuntu 13.04 64-bit?


Update

$ sudo apt-get install libmotif4 nspluginwrapper

 ... snip ... 
Setting up libmotif4:amd64 (2.3.3-7ubuntu1) ... 
Setting up nspluginviewer (1.4.4-0ubuntu5) ... 
Setting up nspluginwrapper (1.4.4-0ubuntu5) ... 
plugin dirs: nspluginwrapper: no appropriate viewer found for /usr/lib/flashplugin-installer/libflashplayer.so 
Auto-update plugins from /usr/lib/mozilla/plugins 
Looking for plugins in /usr/lib/mozilla/plugins 
Segmentation fault (core dumped) Processing triggers for libc-bin ... 
ldconfig deferred processing now taking place 

sudo dpkg --install Downloads/icaclient_12.1.0_amd64.deb 
Selecting previously unselected package icaclient. 
(Reading database ... 155808 files and directories currently installed.) 
Unpacking icaclient (from .../icaclient_12.1.0_amd64.deb) ... 
dpkg: dependency problems prevent configuration of icaclient: 
icaclient depends on libc6-i386 (>= 2.7-1); 
however: Package libc6-i386 is not installed. icaclient depends on ia32-libs; 
however: Package ia32-libs is not installed. 
icaclient depends on lib32z1; 
however: Package lib32z1 is not installed. icaclient depends on lib32asound2; 
however: Package lib32asound2 is not installed. dpkg: 
error processing icaclient (--install): dependency problems - 
leaving unconfigured Errors were encountered while processing: icaclient 
  • Take a look at Citrix ICA Client How To. – Mitch Jun 19 '13 at 7:12
  • $ sudo apt-get install libmotif4 nspluginwrapper ... snip ... Setting up libmotif4:amd64 (2.3.3-7ubuntu1) ... Setting up nspluginviewer (1.4.4-0ubuntu5) ... Setting up nspluginwrapper (1.4.4-0ubuntu5) ... plugin dirs: nspluginwrapper: no appropriate viewer found for /usr/lib/flashplugin-installer/libflashplayer.so Auto-update plugins from /usr/lib/mozilla/plugins Looking for plugins in /usr/lib/mozilla/plugins Segmentation fault (core dumped) Processing triggers for libc-bin ... ldconfig deferred processing now taking place $ (puny 29 chars left. see next comment) – Bård S Jun 19 '13 at 15:25
  • Tried to continue in spite of error above: sudo dpkg --install Downloads/icaclient_12.1.0_amd64.deb Selecting previously unselected package icaclient. (Reading database ... 155808 files and directories currently installed.) Unpacking icaclient (from .../icaclient_12.1.0_amd64.deb) ... dpkg: dependency problems prevent configuration of icaclient: icaclient depends on libc6-i386 (>= 2.7-1); however: Package libc6-i386 is not installed. icaclient depends on ia32-libs; however: Package ia32-libs is not installed. <continued in next comment> – Bård S Jun 19 '13 at 15:28
  • icaclient depends on lib32z1; however: Package lib32z1 is not installed. icaclient depends on lib32asound2; however: Package lib32asound2 is not installed. dpkg: error processing icaclient (--install): dependency problems - leaving unconfigured Errors were encountered while processing: icaclient $ – Bård S Jun 19 '13 at 15:31
  • See if this helps you – Mitch Jun 19 '13 at 17:10
1

Step 1. Open a terminal and enter: sudo apt-get install libmotif4 nspluginwrapper

Step 2. Download and install the receiver. See the following video to understand what to download and what to expect when installing the receiver: http://www.youtube.com/watch?v=JZVxNH76kj0 (Link to the official Citrix Receiver 12.1 .deb: https://www.citrix.com/downloads/citrix-receiver/receivers-by-platform/receiver-for-linux-121.html)

Step 3. When complete copy the certificates to the proper directory: sudo cp /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts

Step 4. When accessing the Citrix environment tell the browser to open launch.ica (or launch.jsp) by using the following as the default app: /opt/Citrix/ICAClient/wfica.sh

Good luck!

Not the answer you're looking for? Browse other questions tagged or ask your own question.